%define oversion 1.0.0
Name: qdvdauthor
Version: 1.0.0
Release: alt2

Summary: The GUI frontend for dvdauthor and other related tools

License: GPL
Group: Video
Url: http://sourceforge.net/projects/qdvdauthor/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%name/%name-%oversion.tar.bz2
# remove make from configure :)
Patch: %name.patch

# manually removed: nvidia_glx_common qt3-designer
# Automatically added by buildreq on Mon Jan 07 2008
BuildRequires: dvdauthor gcc-c++ kdepim-devel libXext-devel libqscintilla-designer mjpegtools mplayer

Requires: mplayer dvdauthor >= 0.6.10 bzip2 ImageMagick lame
Requires: mjpegtools sox netpbm vorbis-tools

%description
qdvdauthor is a gui frontend for using dvdauthor and dvd-slideshow
scripts to easily build DVD menus and assemble the DVD VOB files.
Build with MPlayer for playing.

%prep
%setup -q
%patch

%build
unset QTDIR || : ; . %_sysconfdir/profile.d/qt3dir.sh
export PATH=$QTDIR/bin:$PATH
./configure --qt-dir=%_libdir/qt3 \
	    --with-mplayer-support

# move from configure here
export WITH_MPLAYER_SUPPORT=1
export QT_LIB=qt-mt
cd qdvdauthor
$QTDIR/bin/qmake qdvdauthor.pro
%make_build

cd qslideshow
$QTDIR/bin/qmake qslideshow.pro
%make_build
cd ..

cd qplayer;
$QTDIR/bin/qmake qplayer.pro
%make_build

%install
unset QTDIR || : ; . %_sysconfdir/profile.d/qt3dir.sh
export PATH=$QTDIR/bin:$PATH
%makeinstall_std

# due strange mainstream install 
mkdir -p %buildroot%_bindir
mkdir -p %buildroot{%_pixmapsdir,%_desktopdir,%_datadir/%name}
install -s -m 0755 bin/qdvdauthor %buildroot%_bindir
install -s -m 0755 bin/qslideshow %buildroot%_bindir
install -s -m 0755 bin/qplayer %buildroot%_bindir

install -m 0644 qdvdauthor.png %buildroot%_pixmapsdir
install -m 0644 qdvdauthor.desktop %buildroot%_desktopdir

#%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files
# -f %name.lang
%_bindir/*
%_datadir/%name/
%_pixmapsdir/qdvdauthor.png
%_desktopdir/qdvdauthor.desktop
%doc README TODO CHANGELOG

%changelog
* Thu Jan 17 2008 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt2
- release 1.0.0
- clean spec, rewrote build process, enable SMP-build

* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 1.0.0-alt1beta3
- new version
- cleanup spec, update buildreqs
- strip binary files

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.1.4-alt0.1beta
- new version, cleanup spec, remove COPYING
- change packager
- update buildreq, fix requires
- build with mplayer

* Wed Dec 22 2004 Alex Yustasov <yust@altlinux.ru> 0.0.9-alt1
- initial release
